Bug 76210 - RFE: No easy option to recover boot record
RFE: No easy option to recover boot record
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-18 03:04 EDT by Jacek Pliszka
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-07 14:37:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jacek Pliszka 2002-10-18 03:04:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
Many Red Hat Linux users dual-boot with MS Windows. Resintallation
of MS Windows destroys boot  record. I kindly request adding
at the first menu option to recover the boot record from Linux
installation present on the hard drive.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot from installation CD
2.choos: reinstall boot sector option
3.installer searches for Linux partitions and possible grub config
files there and then asks if given grub config should be recovered 
with current boot rcord from MS indows added

Actual Results:  I want the boot record to be recovered and grub initial boot
menu to appear again
with new Windows as an item.

Expected Results:  Now it is pretty hard for a newbie to recover from overwritten
boot sector.

Additional info:

Among  my new to Linux friends this is was a very hard thing
for them to recover the boot sector. Some of them deleted Linux
Comment 1 Michael Fulbright 2003-03-07 14:37:08 EST
This is not an option we plan on implementing.

Note You need to log in before you can comment on or make changes to this bug.